Name:		rxvt
Version:	2.6.3
Release:	3mdk
Serial:		1
Copyright:	GPL
Group:		Terminals
BuildRequires:	XFree86-devel xpm-devel utempter-devel
URL:		http://www.rxvt.org

Source:		ftp://ftp.rxvt.org/pub/rxvt/%{name}-%{version}.tar.bz2
Source2:	rxvt.wmconfig
Source3:	%{name}-32.xpm.bz2
Source4:	rxvt-large.xpm

Patch1:		rxvt-2.6.3-utmp98.patch.bz2
Patch2:		rxvt-2.6.1-colorapprox.patch.bz2
Patch3:		rxvt-2.6.1-fixscroll.patch.bz2
Patch4:		rxvt-2.6.1-fixkeys.patch.bz2
Patch5:		rxvt-2.6.1-metamod.patch.bz2
Patch6:		rxvt-2.6.1-rxvtminiicon.patch.bz2
# (gc) Home/End keys now produce standard Linux sequences "^[1~" and "^[4~"
Patch7:		rxvt-2.6.1-fixkeys-gc.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}
Summary:	rxvt - terminal emulator in an X window

%description
Rxvt is a VT100 terminal emulator for X. It is intended as a replacement for
xterm(1) for users who do not require the more esoteric features of xterm.
Specifically rxvt does not implement the Tektronix 4014 emulation, session
logging and toolkit style configurability. As a result, rxvt uses much less
swap space than xterm - a significant advantage on a machine serving many X
sessions.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
#%patch3 -p1 -b .fixscroll
%patch5 -p1
%patch6 -p1
%patch7 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr/X11R6 \
	--enable-utmp --enable-wtmp \
	--enable-next-scroll --with-term=rxvt \
	--enable-xgetdefault --enable-ttygid 
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

make prefix=$RPM_BUILD_ROOT/usr/X11R6 install

mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/{large,mini}
install -m644 rxvt-mini.xpm $RPM_BUILD_ROOT/%{_miconsdir}/rxvt.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_iconsdir}/rxvt.xpm
install -m644 %{SOURCE4} $RPM_BUILD_ROOT/%{_liconsdir}/rxvt.xpm

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << "EOF" > $RPM_BUILD_ROOT/%{_menudir}/rxvt
?package(rxvt):\
  needs=X11\
  section=Terminals\
  title="Rxvt"\
  command="/usr/X11R6/bin/rxvt" \
  icon="rxvt.xpm"
EOF

%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/man/man1/*
%{_menudir}/rxvt
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm

%changelog
* Tue Sep 19 2000 David BAUDENS <baudens@mandrakesoft.com> 2.6.3-3mdk
- Fix Menu entry

* Tue Sep 19 2000 Francis Galiegue <fg@mandrakesoft.com> 2.6.3-2mdk
- Added large icon
- Some spec file fixes
- More macros

* Tue Aug 29 2000 Pixel <pixel@mandrakesoft.com> 2.6.3-1mdk
- new version

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.6.1-9mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.6.1-8mdk
- some macroszifications
- BM

* Wed Apr 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.6.1-7mdk
- home/end keys patch
- fixed update-menus postun
- added 32x32 icon

* Thu Apr  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-6mdk
- Move icon to /usr/share/icons/mini/.
- Really fix meta/alt keys.

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-5mdk
- Set menu in /Terminals.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-4mdk
- Remove buggy rh patch with keys.

* Mon Mar 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.6.1-3mdk
- Fix meta key.
- Menufication.
- Upgrade groups.
- Clean-up specs.
- Merge rh patchs.

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sun Sep 12 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- updated to version 2.6.1
- added Preston Brown <probwn@redhat.com>'s patch.

* Mon Apr 26 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.
- Use $TERM=rxvt instead of xterm.
- Enabling Bakc and Suppr Keys.

* Mon Apr  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE3-1]
- Updated to version 2.6.PRE3
- Changed URL to reflect new rxvt web site.

* Thu Jan 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-3]
- added --enable-ttygid

* Thu Jan 28 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-2]
- Fix change_font/move_window bug better
   avoids coredump on resize window!

* Wed Jan 27 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE2-1]
- Upgraded to rxvt-2.6.PRE2
- Geoff Wing <gcw@pobox.com>
  - fixed declaration position for COLORFGBG env var - really fixed this
    	time (noticed by Rob Somerville <somervil@cadvision.com>)
  - fixed transparent term reparenting/configure issues
  - fixed some documentation (noticed by
    	Richard Browne <richb@timestone.com.au>)

- MANTANI Nobutaka <nobutaka@nobutaka.com>
  - added XIM (X Input Method) enhancements

* Wed Jan 13 1999 Ryan Weaver <ryanw@infohwy.com>
  [rxvt-2.6.PRE1-2]
- Upgraded to rxvt-2.6.PRE1
